Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
integer

Start millis timestamp for the query range (inclusive)

to
integer

End millis timestamp for the query range (exclusive)

timeStep
enum<string>

The time step to aggregate viewership metrics by

Available options:
hour,
day
creatorId
string

The creator ID to filter the query results

breakdownBy[]
enum<string>[]

The list of fields to break down the query results. Currently the only supported breakdown is by creatorId.

Available options:
creatorId

Response

A Usage Metric object

An individual metric about usage of a user.

UserID
string

The user ID associated with the metric

Example:

"1bde4o2i6xycudoy"

CreatorID
string

The creator ID associated with the metric

Example:

"john@doe.com"

DeliveryUsageMins
number

Total minutes of delivery usage.

Example:

100

TotalUsageMins
number

Total transcoded minutes.

Example:

100

StorageUsageMins
number

Total minutes of storage usage.

Example:

100

Last modified on March 18, 2026